<?php

if (!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

require_once __DIR__ . '/v4Updater.php';

include __DIR__ . '/templates/header.php';

?>
<?php
try {
	$result = v4Updater::download_package($_GET['package']);
	?>
	<label><?= $result ?></label>
	<div class="form-desc">
		you will be redirected... if not, click <a href="index.php?module=UWizard&action=index">here</a>
		<script>location.href = 'index.php?module=UWizard&action=index';</script>
	</div>
	<?php
} catch (Exception $e) {
	?>
	<header class="row form-row row-odd form-title-row">
		<div class="column form-cell">
			<div class="form-entry form-title">
				<h4>Error</h4>
			</div>
		</div>
	</header>
	<div class="row form-row row-even col-unstack">
		<div class="column form-cell sm-12 span-1">
			<div class="form-entry">
				<label><?php echo $e->getMessage(); ?></label>
				<div>
					<a href="index.php?module=UWizard&action=index">visit Upgrade Wizard</a> or <a
							href="index.php?module=v4Updater&action=check_for_updates">return to update list</a>
				</div>
			</div>
		</div>
	</div>
	<div class="row form-row col-unstack">
		<div class="column form-cell sm-12 span-1">
			<div class="form-entry">
			</div>
		</div>
	</div>
	<?php
}
?>
<?php

include __DIR__ . '/templates/footer.php';
